This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1475352 - (CVE-2017-11541) CVE-2017-11541 tcpdump: heap-based buffer over-read in the lldp_print
CVE-2017-11541 tcpdump: heap-based buffer over-read in the lldp_print
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20170718,reported=2...
: Security
Depends On: 1475364
Blocks: 1490633
  Show dependency treegraph
 
Reported: 2017-07-26 09:42 EDT by Adam Mariš
Modified: 2017-09-12 23:40 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-09-12 23:40:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-07-26 09:42:06 EDT
tcpdump 4.9.0 has a heap-based buffer over-read in the lldp_print function in print-lldp.c, related to util-print.c.

Reproducer:

https://github.com/hackerlib/hackerlib-vul/tree/master/tcpdump-vul/heap-buffer-overflow/util-print
Comment 1 Adam Mariš 2017-07-26 09:51:59 EDT
Created tcpdump tracking bugs for this issue:

Affects: fedora-all [bug 1475364]

Note You need to log in before you can comment on or make changes to this bug.